TARGET = harbour-boxing-timer

DEFINES += APP_VERSION=\\\"$$VERSION\\\"
DEFINES += APP_RELEASE=\\\"$$RELEASE\\\"

CONFIG += sailfishapp

QT += multimedia

SOURCES += src/harbour-boxing-timer.cpp \
    src/boxingtimer.cpp \
    src/boxingsettings.cpp

OTHER_FILES += qml/harbour-boxing-timer.qml \
    qml/cover/CoverPage.qml \
    rpm/harbour-boxing-timer.spec \
    rpm/harbour-boxing-timer.yaml \
    translations/*.ts \
    harbour-boxing-timer.desktop

SAILFISHAPP_ICONS = 86x86 108x108 128x128 256x256

# to disable building translations every time, comment out the
# following CONFIG line
# CONFIG += sailfishapp_i18n

# German translation is enabled as an example. If you aren't
# planning to localize your app, remember to comment out the
# following TRANSLATIONS line. And also do not forget to
# modify the localized app name in the the .desktop file.
# TRANSLATIONS += translations/harbour-boxing-timer-de.ts

DISTFILES += \
    qml/pages/TimerPage.qml \
    qml/pages/SettingsPage.qml \
    qml/pages/js/converter.js \
    qml/pages/PresetList.qml \
    qml/pages/AboutPage.qml \
    COPYING \
    rpm/harbour-boxing-timer.changes \
    qml/pages/js/helpers.js \
    README.md

HEADERS += \
    src/boxingtimer.h \
    src/boxingsettings.h

RESOURCES += \
    harbour-boxing-timer.qrc
